template:generate
=================

Description
-----------
Start a new page template that you can customize to meet your needs.

Usage
-----

::

     $ phpdoc template:generate -t <target path> --name <template name>

Parameters
----------
**-a**
   The author of the template.

**--author[="..."]**
   Same as -a.

**--force**
   ???

**--given-version[="..."]*
   ???

**--name="..."**
    The name for the template.  Typically lowercase.  Possibly with hyphens.

**-t**
    The target path.  The directory where the generated documented will be stored.

**--target[="..."]**
    Same as -t.


.. note::

   The contents for this chapter is not complete yet. Why not help us and
   contribute it at
   https://github.com/phpDocumentor/phpDocumentor2/tree/develop/docs/manual